# Udacity Machine Learning Nanodegree

## Course 1: Machine Learning Foundations

### LABS

* Class 10: Model Selection -> [Grid Search](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Model-Selection)
* Class 15: Decision Trees -> [Titanic Survival Model with Decision Trees](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Decision-Trees)
* Class 16: Naives Bayes -> [Spam Classifier](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Naives-Bayes)
* Class 22: Clustering -> [Movie Ratings](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Clustering)
* Class 23: Hierarchical and Density-based Clustering -> [Hierarchical Clustering](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Hierarchical-and-Density-based-Clustering)
* Class 23: Hierarchical and Density-based Clustering -> [DBSCAN](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Hierarchical-and-Density-based-Clustering/DBSCAN)
* Class 24: Gaussian Mixture Models and Cluster Validation -> [KMeans vs GMM on a Generated Dataset](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Gaussian-Mixture-Models-and-Cluster-Validation)
* Class 27: PCA -> [Faces recognition](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/PCA)
* Class 28: Random Projection and ICA -> [Independent Component Analysis](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Random-Projection-and-ICA)

### PROJECTS

- [Predicting Boston Housing Prices](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/projects/boston_housing)
- [Finding Donors for CharityML](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/projects/finding_donors)
- [Creating Customer Segments](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/projects/customer_segments)

## Course 2: Advance Machine Learning

### LABS

* Class 4: Deep Neural Networks -> [Student Admissions in Keras](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Deep-Neural-Networks/Student-Admissions)
* Class 4: Deep Neural Networks -> [IMDB in Keras](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Deep-Neural-Networks)
* Class 5: Convolutional Neural Networks -> [Training an MLP on MNIST](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Convolutional-Neural-Networks/mnist-mlp)
* Class 5: Convolutional Neural Networks -> [Classify images from the CIFAR-10 database](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Convolutional-Neural-Networks/cifar10-classification)
* Class 12: Dynamic Programming -> [OpenAI Gym - FrozenLake](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Dynamic-Programming)
* Class 13: Monte Carlo Methods -> [OpenAI Gym - Blackjack](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Monte-Carlo)
* Class 14: Temporal-Difference Methods -> [OpenAI Gym - CliffWalking](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Temporal-Difference)
* Class 15: [Solve OpenAI Gym's Taxi-v2 Task](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/OpenAI-Taxi-v2)
* Class 16: RL in Continuous Spaces -> [Discretization](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/RL-in-Continuous-Spaces)
* Class 16: RL in Continuous Spaces -> [Tile Coding](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/RL-in-Continuous-Spaces)
* Class 17: Deep Q-Learning -> [OpenAI Gym - Cart-Pole](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/labs/Deep-Q-Learning)

### PROJECTS

- [Dog Breed Classifier](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/projects/dog-project)
- [Teach a Quadcopter How to Fly](https://github.com/davamix/udacity-machine-learning-nanodegere/tree/master/projects/RL-Quadcopter-2)